/*
 * LET BASIC = BASIC + 1
 * Copyright (C) 2006-2008 Rebecca G. Bettencourt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef ___B_EXCEPTIONS_H___
#define ___B_EXCEPTIONS_H___

#include "btype.h"
#include <stdio.h>

void be_init();

void be_throw(b_exception x);
void be_cthrow(b_exception x);

void be_set_lineNum(int i);
void be_set_fileName(char * f);

int be_checkerr();

b_exception be_lasterr();
int be_lastline();
char * be_lastfile();

void be_clearerr();

char * be_errstr(b_exception x);
b_exception be_fileerr();

void be_sprinterr(char * f);
void be_fprinterr(FILE * f);
void be_printerr();

void be_close();
int be_closed();
void be_reset();

#endif
