/*
 * LET BASIC = BASIC + 1
 * Copyright (C) 2006-2008 Rebecca G. Bettencourt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef ___B_F_TIME_H___
#define ___B_F_TIME_H___

#include "btype.h"

b_varl * bf_time0(b_scope * sc);
b_varl * bf_time1(b_scope * sc, b_varl * a);
b_varl * bf_gmtime0(b_scope * sc);
b_varl * bf_gmtime1(b_scope * sc, b_varl * a);
b_varl * bf_ticks0(b_scope * sc);

b_function bf_time = {"TIME", 0, bf_time0, bf_time1, 0, 0, 0, 0};
b_function bf_time_ = {"TIME$", 0, bf_time0, bf_time1, 0, 0, 0, 0};
b_function bf_gmtime = {"GMTIME", 0, bf_gmtime0, bf_gmtime1, 0, 0, 0, 0};
b_function bf_gmtime_ = {"GMTIME$", 0, bf_gmtime0, bf_gmtime1, 0, 0, 0, 0};
b_function bf_ticks = {"TICKS", 0, bf_ticks0, 0, 0, 0, 0, 0};

#endif
