/*
 * LET BASIC = BASIC + 1
 * Copyright (C) 2006-2008 Rebecca G. Bettencourt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef ___B_F_IPOD_H___
#define ___B_F_IPOD_H___

#include "btype.h"

void bf_backlight0(b_scope * s);
void bf_backlight1(b_scope * s, b_varl * a);
b_varl * bf_backlightf0(b_scope * s);

void bf_contrast1(b_scope * s, b_varl * a);
b_varl * bf_contrastf0(b_scope * s);

b_varl * bf_fonts0(b_scope * s);
b_varl * bf_fonts1(b_scope * s, b_varl * a);
b_varl * bf_fonts2(b_scope * s, b_varl * a, b_varl * b);
void bf_font1(b_scope * s, b_varl * a);
void bf_font2(b_scope * s, b_varl * a, b_varl * b);

b_command bf_backlight = {"BACKLIGHT", 0, 0, bf_backlight0, bf_backlight1, 0, 0, 0, 0};
b_function bf_backlightf = {"BACKLIGHT", 0, bf_backlightf0, 0, 0, 0, 0, 0};

b_command bf_contrast = {"CONTRAST", 0, 0, 0, bf_contrast1, 0, 0, 0, 0};
b_function bf_contrastf = {"CONTRAST", 0, bf_contrastf0, 0, 0, 0, 0, 0};

b_command bf_font = {"FONT", 0, 0, 0, bf_font1, bf_font2, 0, 0, 0};
b_function bf_fonts = {"FONTS", 0, bf_fonts0, bf_fonts1, bf_fonts2, 0, 0, 0};
b_function bf_fonts_ = {"FONTS$", 0, bf_fonts0, bf_fonts1, bf_fonts2, 0, 0, 0};

void bf_init_ipod();

#endif
