/*
 * LET BASIC = BASIC + 1
 * Copyright (C) 2006-2008 Rebecca G. Bettencourt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef ___B_F_PZ2_H___
#define ___B_F_PZ2_H___

#include "pz.h"
#include "btype.h"

b_varl * bf_pzsettingtype1(b_scope * sc, b_varl * a);
b_varl * bf_pzmenuaction1(b_scope * sc, b_varl * a);
b_varl * bf_pzeventtype1(b_scope * sc, b_varl * a);
b_varl * bf_pzbutton1(b_scope * sc, b_varl * a);
b_varl * bf_pzwindowgeom1(b_scope * sc, b_varl * a);
b_varl * bf_pzdspsource1(b_scope * sc, b_varl * a);

b_varl * bf_pz_basic_module0(b_scope * sc);
b_varl * bf_pz_register_module1(b_scope * sc, b_varl * a);
b_varl * bf_pz_register_module2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_pz_module_get_cfgpath1(b_scope * sc, b_varl * a);
b_varl * bf_pz_module_get_cfgpath2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_pz_module_get_datapath1(b_scope * sc, b_varl * a);
b_varl * bf_pz_module_get_datapath2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_pz_module_softdep2(b_scope * sc, b_varl * a, b_varl * b);

b_varl * bf_pz_load_config1(b_scope * sc, b_varl * a);
void bf_pz_save_config1(b_scope * sc, b_varl * a);
void bf_pz_blast_config1(b_scope * sc, b_varl * a);
void bf_pz_free_config1(b_scope * sc, b_varl * a);
b_varl * bf_pz_get_setting2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_pz_get_int_setting2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_pz_get_string_setting2(b_scope * sc, b_varl * a, b_varl * b);
void bf_pz_set_int_setting3(b_scope * sc, b_varl * a, b_varl * b, b_varl * c);
void bf_pz_set_string_setting3(b_scope * sc, b_varl * a, b_varl * b, b_varl * c);
void bf_pz_set_float_setting3(b_scope * sc, b_varl * a, b_varl * b, b_varl * c);
void bf_pz_set_ilist_setting4(b_scope * sc, b_varl * a, b_varl * b, b_varl * c, b_varl * d);
void bf_pz_set_slist_setting4(b_scope * sc, b_varl * a, b_varl * b, b_varl * c, b_varl * d);
void bf_pz_set_blob_setting4(b_scope * sc, b_varl * a, b_varl * b, b_varl * c, b_varl * d);
void bf_pz_unset_setting2(b_scope * sc, b_varl * a, b_varl * b);

b_varl * bf_pz_new_menu_window1(b_scope * sc, b_varl * a);
b_varl * bf_pz_get_menu_item1(b_scope * sc, b_varl * a);
b_varl * bf_pz_mh_sub1(b_scope * sc, b_varl * a);
b_varl * bf_pz_menu_add_ttkh3(b_scope * sc, b_varl * a, b_varl * b, b_varl * c);
b_varl * bf_pz_menu_add_stub1(b_scope * sc);
b_varl * bf_pz_menu_add_after3(b_scope * sc, b_varl * a, b_varl * b, b_varl * c);
b_varl * bf_pz_menu_add_top2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_pz_menu_add_action2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_pz_menu_add_option2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_pz_menu_get_option1(b_scope * sc, b_varl * a);
void bf_pz_menu_set_option2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_pz_menu_add_setting4(b_scope * sc, b_varl * a, b_varl * b, b_varl * c, b_varl * d);
void bf_pz_menu_sort1(b_scope * sc, b_varl * a);
void bf_pz_menu_remove1(b_scope * sc, b_varl * a);

b_varl * bf_pz_new_window2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_pz_new_window3(b_scope * sc, b_varl * a, b_varl * b, b_varl * c);
b_varl * bf_pz_finish_window1(b_scope * sc, b_varl * a);
void bf_pz_resize_widget3(b_scope * sc, b_varl * a, b_varl * b, b_varl * c);
void bf_pz_widget_set_timer2(b_scope * sc, b_varl * a, b_varl * b);
void bf_pz_hide_window1(b_scope * sc, b_varl * a);
void bf_pz_close_window1(b_scope * sc, b_varl * a);
void bf_pz_show_window1(b_scope * sc, b_varl * a);

void bf_pz_hwid_put_left1(b_scope * sc, b_varl * a);
void bf_pz_hwid_pack_left1(b_scope * sc, b_varl * a);
void bf_pz_hwid_pack_right1(b_scope * sc, b_varl * a);
void bf_pz_hwid_unpack1(b_scope * sc, b_varl * a);
void bf_pz_header_set_local2(b_scope * sc, b_varl * a, b_varl * b);
void bf_pz_header_unset_local0(b_scope * sc);

b_varl * bf_pz_do_dialogv(b_scope * sc, b_varl ** argv, int argc);
b_varl * bf_pz_dialogv(b_scope * sc, b_varl ** argv, int argc);
b_varl * bf_pz_errdialogv(b_scope * sc, b_varl ** argv, int argc);
void bf_pz_message_title2(b_scope * sc, b_varl * a, b_varl * b);
void bf_pz_message1(b_scope * sc, b_varl * a);
void bf_pz_warning1(b_scope * sc, b_varl * a);
void bf_pz_error1(b_scope * sc, b_varl * a);
void bf_pz_perror1(b_scope * sc, b_varl * a);

void bf_pz_vector_stringv(b_scope * sc, b_varl ** argv, int argc);
void bf_pz_vector_string_centerv(b_scope * sc, b_varl ** argv, int argc);
b_varl * bf_pz_vector_width4(b_scope * sc, b_varl * a, b_varl * b, b_varl * c, b_varl * d);

void bf_pz_ipod_set2(b_scope * sc, b_varl * a, b_varl * b);
void bf_pz_ipod_fix_setting2(b_scope * sc, b_varl * a, b_varl * b);
void bf_pz_ipod_fix_settings1(b_scope * sc, b_varl * a);
b_varl * bf_pz_ipod_get_battery_level0(b_scope * sc);
b_varl * bf_pz_ipod_is_charging0(b_scope * sc);
b_varl * bf_pz_ipod_get_hw_version0(b_scope * sc);
void bf_pz_ipod_go_to_diskmode0(b_scope * sc);
void bf_pz_ipod_reboot0(b_scope * sc);
void bf_pz_ipod_powerdown0(b_scope * sc);
b_varl * bf_pz_ipod_usb_is_connected0(b_scope * sc);
b_varl * bf_pz_ipod_fw_is_connected0(b_scope * sc);

void bf_pz_load_font4(b_scope * sc, b_varl * a, b_varl * b, b_varl * c, b_varl * d);
b_varl * bf_pz_select_font1(b_scope * sc, b_varl * a);

b_varl * bf_pz_dsp_vol_change2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_pz_dsp_vol_up1(b_scope * sc, b_varl * a);
b_varl * bf_pz_dsp_vol_down1(b_scope * sc, b_varl * a);
b_varl * bf_pz_dsp_get_volume1(b_scope * sc, b_varl * a);
b_varl * bf_pz_dsp_setup3(b_scope * sc, b_varl * a, b_varl * b, b_varl * c);
b_varl * bf_pz_dsp_read3(b_scope * sc, b_varl * a, b_varl * b, b_varl * c);
void bf_pz_dsp_write3(b_scope * sc, b_varl * a, b_varl * b, b_varl * c);
b_varl * bf_pz_dsp_open2(b_scope * sc, b_varl * a, b_varl * b);
void bf_pz_dsp_close1(b_scope * sc, b_varl * a);

b_varl * bf_pz_browser_open1(b_scope * sc, b_varl * a);
b_varl * bf_pz_browser_get_actions1(b_scope * sc, b_varl * a);
void bf_pz_browser_set_handler2(b_scope * sc, b_varl * a, b_varl * b);
void bf_pz_browser_remove_handler1(b_scope * sc, b_varl * a);
void bf_pz_browser_add_action2(b_scope * sc, b_varl * a, b_varl * b);
void bf_pz_browser_remove_action1(b_scope * sc, b_varl * a);

void bf_pz_register_input_method1(b_scope * sc, b_varl * a);
void bf_pz_register_input_method_n1(b_scope * sc, b_varl * a);
b_varl * bf_pz_start_input0(b_scope * sc);
b_varl * bf_pz_start_input_n0(b_scope * sc);

void bf_pz_register_global_hold_button3(b_scope * sc, b_varl * a, b_varl * b, b_varl * c);
void bf_pz_register_global_unused_handler2(b_scope * sc, b_varl * a, b_varl * b);
void bf_pz_unregister_global_hold_button1(b_scope * sc, b_varl * a);
void bf_pz_unregister_global_unused_handler1(b_scope * sc, b_varl * a);
void bf_pz_handled_hold1(b_scope * sc, b_varl * a);

b_varl * bf_ti_ap_getx1(b_scope * sc, b_varl * a);
b_varl * bf_ti_ap_get1(b_scope * sc, b_varl * a);
b_varl * bf_ti_create_tim_widget2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_ti_supports_method1(b_scope * sc, b_varl * a);
b_varl * bf_ti_select1(b_scope * sc, b_varl * a);
b_varl * bf_ti_current_method0(b_scope * sc);
b_varl * bf_ti_use_method1(b_scope * sc, b_varl * a);
b_varl * bf_ti_unuse_method0(b_scope * sc);
b_varl * bf_ti_ttkselect1(b_scope * sc, b_varl * a);
b_varl * bf_ti_register4(b_scope * sc, b_varl * a, b_varl * b, b_varl * c, b_varl * d);

b_varl * bf_ti_create_buffer0(b_scope * sc);
b_varl * bf_ti_create_buffer1(b_scope * sc, b_varl * a);
void bf_ti_destroy_buffer1(b_scope * sc, b_varl * a);
b_varl * bf_ti_expand_buffer2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_ti_set_buffer2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_ti_create_buffer_with1(b_scope * sc, b_varl * a);
b_varl * bf_ti_get_buffer1(b_scope * sc, b_varl * a);
void bf_ti_buffer_insert_byte3(b_scope * sc, b_varl * a, b_varl * b, b_varl * c);
void bf_ti_buffer_remove_byte2(b_scope * sc, b_varl * a, b_varl * b);
void bf_ti_buffer_insert_char3(b_scope * sc, b_varl * a, b_varl * b, b_varl * c);
void bf_ti_buffer_remove_char2(b_scope * sc, b_varl * a, b_varl * b);
void bf_ti_buffer_cmove2(b_scope * sc, b_varl * a, b_varl * b);
void bf_ti_buffer_cset2(b_scope * sc, b_varl * a, b_varl * b);
b_varl * bf_ti_buffer_cget1(b_scope * sc, b_varl * a);
void bf_ti_buffer_input2(b_scope * sc, b_varl * a, b_varl * b);
void bf_ti_multiline_textv(b_scope * sc, b_varl ** argv, int argc);
b_varl * bf_ti_new_text_widgetv(b_scope * sc, b_varl ** argv, int argc);
b_varl * bf_ti_new_standard_text_widgetv(b_scope * sc, b_varl ** argv, int argc);
b_varl * bf_ti_new_numeric_text_widgetv(b_scope * sc, b_varl ** argv, int argc);
b_varl * bf_ti_new_password_text_widgetv(b_scope * sc, b_varl ** argv, int argc);
b_varl * bf_ti_new_multiline_text_widgetv(b_scope * sc, b_varl ** argv, int argc);

b_function bf_pzsettingtype = {"PZ_SETTING", 0, 0, 0, bf_pzsettingtype1, 0, 0, 0, 0};
b_function bf_pzmenuaction = {"PZ_MENU", 0, 0, 0, bf_pzmenuaction1, 0, 0, 0, 0};
b_function bf_pzeventtype = {"PZ_EVENT", 0, 0, 0, bf_pzeventtype1, 0, 0, 0, 0};
b_function bf_pzbutton = {"PZ_BUTTON", 0, 0, 0, bf_pzbutton1, 0, 0, 0, 0};
b_function bf_pzwindowgeom = {"PZ_WINDOW", 0, 0, 0, bf_pzwindowgeom1, 0, 0, 0, 0};
b_function bf_pzdspsource = {"PZ_DSP", 0, 0, 0, bf_pzdspsource1, 0, 0, 0, 0};

b_function bf_pz_basic_module = {"pz_basic_module", 0, bf_pz_basic_module0, 0, 0, 0, 0, 0};
b_function bf_pz_register_module = {"pz_register_module", 0, 0, bf_pz_register_module1, bf_pz_register_module2, 0, 0, 0};
b_function bf_pz_module_get_cfgpath = {"pz_module_get_cfgpath", 0, 0, bf_pz_module_get_cfgpath1, bf_pz_module_get_cfgpath2, 0, 0, 0};
b_function bf_pz_module_get_datapath = {"pz_module_get_datapath", 0, 0, bf_pz_module_get_datapath1, bf_pz_module_get_datapath2, 0, 0, 0};
b_function bf_pz_module_softdep = {"pz_module_softdep", 0, 0, 0, bf_pz_module_softdep2, 0, 0, 0};

b_function bf_pz_load_config = {"pz_load_config", 0, 0, bf_pz_load_config1, 0, 0, 0, 0};
b_command bf_pz_save_config = {"pz_save_config", 0, 0, 0, bf_pz_save_config1, 0, 0, 0, 0};
b_command bf_pz_blast_config = {"pz_blast_config", 0, 0, 0, bf_pz_blast_config1, 0, 0, 0, 0};
b_command bf_pz_free_config = {"pz_free_config", 0, 0, 0, bf_pz_free_config1, 0, 0, 0, 0};
b_function bf_pz_get_setting = {"pz_get_setting", 0, 0, 0, bf_pz_get_setting2, 0, 0, 0};
b_function bf_pz_get_int_setting = {"pz_get_int_setting", 0, 0, 0, bf_pz_get_int_setting2, 0, 0, 0};
b_function bf_pz_get_string_setting = {"pz_get_string_setting", 0, 0, 0, bf_pz_get_string_setting2, 0, 0, 0};
b_command bf_pz_set_int_setting = {"pz_set_int_setting", 0, 0, 0, 0, 0, bf_pz_set_int_setting3, 0, 0};
b_command bf_pz_set_string_setting = {"pz_set_string_setting", 0, 0, 0, 0, 0, bf_pz_set_string_setting3, 0, 0};
b_command bf_pz_set_float_setting = {"pz_set_float_setting", 0, 0, 0, 0, 0, bf_pz_set_float_setting3, 0, 0};
b_command bf_pz_set_ilist_setting = {"pz_set_ilist_setting", 0, 0, 0, 0, 0, 0, bf_pz_set_ilist_setting4, 0};
b_command bf_pz_set_slist_setting = {"pz_set_slist_setting", 0, 0, 0, 0, 0, 0, bf_pz_set_slist_setting4, 0};
b_command bf_pz_set_blob_setting = {"pz_set_blob_setting", 0, 0, 0, 0, 0, 0, bf_pz_set_blob_setting4, 0};
b_command bf_pz_unset_setting = {"pz_unset_setting", 0, 0, 0, 0, bf_pz_unset_setting2, 0, 0, 0};

b_function bf_pz_new_menu_window = {"pz_new_menu_window", 0, 0, bf_pz_new_menu_window1, 0, 0, 0, 0};
b_function bf_pz_get_menu_item = {"pz_get_menu_item", 0, 0, bf_pz_get_menu_item1, 0, 0, 0, 0};
b_function bf_pz_mh_sub = {"pz_mh_sub", 0, 0, bf_pz_mh_sub1, 0, 0, 0, 0};
b_function bf_pz_menu_add_ttkh = {"pz_menu_add_ttkh", 0, 0, 0, 0, bf_pz_menu_add_ttkh3, 0, 0};
b_function bf_pz_menu_add_stub = {"pz_menu_add_stub", 0, 0, bf_pz_menu_add_stub1, 0, 0, 0, 0};
b_function bf_pz_menu_add_after = {"pz_menu_add_after", 0, 0, 0, 0, bf_pz_menu_add_after3, 0, 0};
b_function bf_pz_menu_add_top = {"pz_menu_add_top", 0, 0, 0, bf_pz_menu_add_top2, 0, 0, 0};
b_function bf_pz_menu_add_action = {"pz_menu_add_action", 0, 0, 0, bf_pz_menu_add_action2, 0, 0, 0};
b_function bf_pz_menu_add_option = {"pz_menu_add_option", 0, 0, 0, bf_pz_menu_add_option2, 0, 0, 0};
b_function bf_pz_menu_get_option = {"pz_menu_get_option", 0, 0, bf_pz_menu_get_option1, 0, 0, 0, 0};
b_command bf_pz_menu_set_option = {"pz_menu_set_option", 0, 0, 0, 0, bf_pz_menu_set_option2, 0, 0, 0};
b_function bf_pz_menu_add_setting = {"pz_menu_add_setting", 0, 0, 0, 0, 0, bf_pz_menu_add_setting4, 0};
b_command bf_pz_menu_sort = {"pz_menu_sort", 0, 0, 0, bf_pz_menu_sort1, 0, 0, 0, 0};
b_command bf_pz_menu_remove = {"pz_menu_remove", 0, 0, 0, bf_pz_menu_remove1, 0, 0, 0, 0};

b_function bf_pz_new_window = {"pz_new_window", 0, 0, 0, bf_pz_new_window2, bf_pz_new_window3, 0, 0};
b_function bf_pz_finish_window = {"pz_finish_window", 0, 0, bf_pz_finish_window1, 0, 0, 0, 0};
b_command bf_pz_resize_widget = {"pz_resize_widget", 0, 0, 0, 0, 0, bf_pz_resize_widget3, 0, 0};
b_command bf_pz_widget_set_timer = {"pz_widget_set_timer", 0, 0, 0, 0, bf_pz_widget_set_timer2, 0, 0, 0};
b_command bf_pz_hide_window = {"pz_hide_window", 0, 0, 0, bf_pz_hide_window1, 0, 0, 0, 0};
b_command bf_pz_close_window = {"pz_close_window", 0, 0, 0, bf_pz_close_window1, 0, 0, 0, 0};
b_command bf_pz_show_window = {"pz_show_window", 0, 0, 0, bf_pz_show_window1, 0, 0, 0, 0};

b_command bf_pz_hwid_put_left = {"pz_hwid_put_left", 0, 0, 0, bf_pz_hwid_put_left1, 0, 0, 0, 0};
b_command bf_pz_hwid_pack_left = {"pz_hwid_pack_left", 0, 0, 0, bf_pz_hwid_pack_left1, 0, 0, 0, 0};
b_command bf_pz_hwid_pack_right = {"pz_hwid_pack_right", 0, 0, 0, bf_pz_hwid_pack_right1, 0, 0, 0, 0};
b_command bf_pz_hwid_unpack = {"pz_hwid_unpack", 0, 0, 0, bf_pz_hwid_unpack1, 0, 0, 0, 0};
b_command bf_pz_header_set_local = {"pz_header_set_local", 0, 0, 0, 0, bf_pz_header_set_local2, 0, 0, 0};
b_command bf_pz_header_unset_local = {"pz_header_unset_local", 0, 0, bf_pz_header_unset_local0, 0, 0, 0, 0, 0};

b_function bf_pz_do_dialog = {"pz_do_dialog", 0, 0, 0, 0, 0, 0, bf_pz_do_dialogv};
b_function bf_pz_dialog = {"pz_dialog", 0, 0, 0, 0, 0, 0, bf_pz_dialogv};
b_function bf_pz_errdialog = {"pz_errdialog", 0, 0, 0, 0, 0, 0, bf_pz_errdialogv};
b_command bf_pz_message_title = {"pz_message_title", 0, 0, 0, 0, bf_pz_message_title2, 0, 0, 0};
b_command bf_pz_message = {"pz_message", 0, 0, 0, bf_pz_message1, 0, 0, 0, 0};
b_command bf_pz_warning = {"pz_warning", 0, 0, 0, bf_pz_warning1, 0, 0, 0, 0};
b_command bf_pz_error = {"pz_error", 0, 0, 0, bf_pz_error1, 0, 0, 0, 0};
b_command bf_pz_perror = {"pz_perror", 0, 0, 0, bf_pz_perror1, 0, 0, 0, 0};

b_command bf_pz_vector_string = {"pz_vector_string", 0, 0, 0, 0, 0, 0, 0, bf_pz_vector_stringv};
b_command bf_pz_vector_string_center = {"pz_vector_string_center", 0, 0, 0, 0, 0, 0, 0, bf_pz_vector_string_centerv};
b_function bf_pz_vector_width = {"pz_vector_width", 0, 0, 0, 0, 0, bf_pz_vector_width4, 0};

b_command bf_pz_ipod_set = {"pz_ipod_set", 0, 0, 0, 0, bf_pz_ipod_set2, 0, 0, 0};
b_command bf_pz_ipod_fix_setting = {"pz_ipod_fix_setting", 0, 0, 0, 0, bf_pz_ipod_fix_setting2, 0, 0, 0};
b_command bf_pz_ipod_fix_settings = {"pz_ipod_fix_settings", 0, 0, 0, bf_pz_ipod_fix_settings1, 0, 0, 0, 0};
b_function bf_pz_ipod_get_battery_level = {"pz_ipod_get_battery_level", 0, bf_pz_ipod_get_battery_level0, 0, 0, 0, 0, 0};
b_function bf_pz_ipod_is_charging = {"pz_ipod_is_charging", 0, bf_pz_ipod_is_charging0, 0, 0, 0, 0, 0};
b_function bf_pz_ipod_get_hw_version = {"pz_ipod_get_hw_version", 0, bf_pz_ipod_get_hw_version0, 0, 0, 0, 0, 0};
b_command bf_pz_ipod_go_to_diskmode = {"pz_ipod_go_to_diskmode", 0, 0, bf_pz_ipod_go_to_diskmode0, 0, 0, 0, 0, 0};
b_command bf_pz_ipod_reboot = {"pz_ipod_reboot", 0, 0, bf_pz_ipod_reboot0, 0, 0, 0, 0, 0};
b_command bf_pz_ipod_powerdown = {"pz_ipod_powerdown", 0, 0, bf_pz_ipod_powerdown0, 0, 0, 0, 0, 0};
b_function bf_pz_ipod_usb_is_connected = {"pz_ipod_usb_is_connected", 0, bf_pz_ipod_usb_is_connected0, 0, 0, 0, 0, 0};
b_function bf_pz_ipod_fw_is_connected = {"pz_ipod_fw_is_connected", 0, bf_pz_ipod_fw_is_connected0, 0, 0, 0, 0, 0};

b_command bf_pz_load_font = {"pz_load_font", 0, 0, 0, 0, 0, 0, bf_pz_load_font4, 0};
b_function bf_pz_select_font = {"pz_select_font", 0, 0, bf_pz_select_font1, 0, 0, 0, 0};

b_function bf_pz_dsp_vol_change = {"pz_dsp_vol_change", 0, 0, 0, bf_pz_dsp_vol_change2, 0, 0, 0};
b_function bf_pz_dsp_vol_up = {"pz_dsp_vol_up", 0, 0, bf_pz_dsp_vol_up1, 0, 0, 0, 0};
b_function bf_pz_dsp_vol_down = {"pz_dsp_vol_down", 0, 0, bf_pz_dsp_vol_down1, 0, 0, 0, 0};
b_function bf_pz_dsp_get_volume = {"pz_dsp_get_volume", 0, 0, bf_pz_dsp_get_volume1, 0, 0, 0, 0};
b_function bf_pz_dsp_setup = {"pz_dsp_setup", 0, 0, 0, 0, bf_pz_dsp_setup3, 0, 0};
b_function bf_pz_dsp_read = {"pz_dsp_read", 0, 0, 0, 0, bf_pz_dsp_read3, 0, 0};
b_command bf_pz_dsp_write = {"pz_dsp_write", 0, 0, 0, 0, 0, bf_pz_dsp_write3, 0, 0};
b_function bf_pz_dsp_open = {"pz_dsp_open", 0, 0, 0, bf_pz_dsp_open2, 0, 0, 0};
b_command bf_pz_dsp_close = {"pz_dsp_close", 0, 0, 0, bf_pz_dsp_close1, 0, 0, 0, 0};

b_function bf_pz_browser_open = {"pz_browser_open", 0, 0, bf_pz_browser_open1, 0, 0, 0, 0};
b_function bf_pz_browser_get_actions = {"pz_browser_get_actions", 0, 0, bf_pz_browser_get_actions1, 0, 0, 0, 0};
b_command bf_pz_browser_set_handler = {"pz_browser_set_handler", 0, 0, 0, 0, bf_pz_browser_set_handler2, 0, 0, 0};
b_command bf_pz_browser_remove_handler = {"pz_browser_remove_handler", 0, 0, 0, bf_pz_browser_remove_handler1, 0, 0, 0, 0};
b_command bf_pz_browser_add_action = {"pz_browser_add_action", 0, 0, 0, 0, bf_pz_browser_add_action2, 0, 0, 0};
b_command bf_pz_browser_remove_action = {"pz_browser_remove_action", 0, 0, 0, bf_pz_browser_remove_action1, 0, 0, 0, 0};

b_command bf_pz_register_input_method = {"pz_register_input_method", 0, 0, 0, bf_pz_register_input_method1, 0, 0, 0, 0};
b_command bf_pz_register_input_method_n = {"pz_register_input_method_n", 0, 0, 0, bf_pz_register_input_method_n1, 0, 0, 0, 0};
b_function bf_pz_start_input = {"pz_start_input", 0, bf_pz_start_input0, 0, 0, 0, 0, 0};
b_function bf_pz_start_input_n = {"pz_start_input_n", 0, bf_pz_start_input_n0, 0, 0, 0, 0, 0};

b_command bf_pz_register_global_hold_button = {"pz_register_global_hold_button", 0, 0, 0, 0, 0, bf_pz_register_global_hold_button3, 0, 0};
b_command bf_pz_register_global_unused_handler = {"pz_register_global_unused_handler", 0, 0, 0, 0, bf_pz_register_global_unused_handler2, 0, 0, 0};
b_command bf_pz_unregister_global_hold_button = {"pz_unregister_global_hold_button", 0, 0, 0, bf_pz_unregister_global_hold_button1, 0, 0, 0, 0};
b_command bf_pz_unregister_global_unused_handler = {"pz_unregister_global_unused_handler", 0, 0, 0, bf_pz_unregister_global_unused_handler1, 0, 0, 0, 0};
b_command bf_pz_handled_hold = {"pz_handled_hold", 0, 0, 0, bf_pz_handled_hold1, 0, 0, 0, 0};

b_function bf_ti_ap_getx = {"ti_ap_getx", 0, 0, bf_ti_ap_getx1, 0, 0, 0, 0};
b_function bf_ti_ap_get = {"ti_ap_get", 0, 0, bf_ti_ap_get1, 0, 0, 0, 0};
b_function bf_ti_create_tim_widget = {"ti_create_tim_widget", 0, 0, 0, bf_ti_create_tim_widget2, 0, 0, 0};
b_function bf_ti_supports_method = {"ti_supports_method", 0, 0, bf_ti_supports_method1, 0, 0, 0, 0};
b_function bf_ti_select = {"ti_select", 0, 0, bf_ti_select1, 0, 0, 0, 0};
b_function bf_ti_current_method = {"ti_current_method", 0, bf_ti_current_method0, 0, 0, 0, 0, 0};
b_function bf_ti_use_method = {"ti_use_method", 0, 0, bf_ti_use_method1, 0, 0, 0, 0};
b_function bf_ti_unuse_method = {"ti_unuse_method", 0, bf_ti_unuse_method0, 0, 0, 0, 0, 0};
b_function bf_ti_ttkselect = {"ti_ttkselect", 0, 0, bf_ti_ttkselect1, 0, 0, 0, 0};
b_function bf_ti_register = {"ti_register", 0, 0, 0, 0, 0, bf_ti_register4, 0};

b_function bf_ti_create_buffer = {"ti_create_buffer", 0, bf_ti_create_buffer0, bf_ti_create_buffer1, 0, 0, 0, 0};
b_command bf_ti_destroy_buffer = {"ti_destroy_buffer", 0, 0, 0, bf_ti_destroy_buffer1, 0, 0, 0, 0};
b_function bf_ti_expand_buffer = {"ti_expand_buffer", 0, 0, 0, bf_ti_expand_buffer2, 0, 0, 0};
b_function bf_ti_set_buffer = {"ti_set_buffer", 0, 0, 0, bf_ti_set_buffer2, 0, 0, 0};
b_function bf_ti_create_buffer_with = {"ti_create_buffer_with", 0, 0, bf_ti_create_buffer_with1, 0, 0, 0, 0};
b_function bf_ti_get_buffer = {"ti_get_buffer", 0, 0, bf_ti_get_buffer1, 0, 0, 0, 0};
b_command bf_ti_buffer_insert_byte = {"ti_buffer_insert_byte", 0, 0, 0, 0, 0, bf_ti_buffer_insert_byte3, 0, 0};
b_command bf_ti_buffer_remove_byte = {"ti_buffer_remove_byte", 0, 0, 0, 0, bf_ti_buffer_remove_byte2, 0, 0, 0};
b_command bf_ti_buffer_insert_char = {"ti_buffer_insert_char", 0, 0, 0, 0, 0, bf_ti_buffer_insert_char3, 0, 0};
b_command bf_ti_buffer_remove_char = {"ti_buffer_remove_char", 0, 0, 0, 0, bf_ti_buffer_remove_char2, 0, 0, 0};
b_command bf_ti_buffer_cmove = {"ti_buffer_cmove", 0, 0, 0, 0, bf_ti_buffer_cmove2, 0, 0, 0};
b_command bf_ti_buffer_cset = {"ti_buffer_cset", 0, 0, 0, 0, bf_ti_buffer_cset2, 0, 0, 0};
b_function bf_ti_buffer_cget = {"ti_buffer_cget", 0, 0, bf_ti_buffer_cget1, 0, 0, 0, 0};
b_command bf_ti_buffer_input = {"ti_buffer_input", 0, 0, 0, 0, bf_ti_buffer_input2, 0, 0, 0};
b_command bf_ti_multiline_text = {"ti_multiline_text", 0, 0, 0, 0, 0, 0, 0, bf_ti_multiline_textv};
b_function bf_ti_new_text_widget = {"ti_new_text_widget", 0, 0, 0, 0, 0, 0, bf_ti_new_text_widgetv};
b_function bf_ti_new_standard_text_widget = {"ti_new_standard_text_widget", 0, 0, 0, 0, 0, 0, bf_ti_new_standard_text_widgetv};
b_function bf_ti_new_numeric_text_widget = {"ti_new_numeric_text_widget", 0, 0, 0, 0, 0, 0, bf_ti_new_numeric_text_widgetv};
b_function bf_ti_new_password_text_widget = {"ti_new_password_text_widget", 0, 0, 0, 0, 0, 0, bf_ti_new_password_text_widgetv};
b_function bf_ti_new_multiline_text_widget = {"ti_new_multiline_text_widget", 0, 0, 0, 0, 0, 0, bf_ti_new_multiline_text_widgetv};

void bf_init_pz2();

#endif
