/*
 * LET BASIC = BASIC + 1
 * Copyright (C) 2006-2008 Rebecca G. Bettencourt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef ____MEM_X_H____
#define ____MEM_X_H____

char peek(unsigned long int addr);
short peekw(unsigned long int addr);
int peeki(unsigned long int addr);
long peekl(unsigned long int addr);
float peekf(unsigned long int addr);
double peekd(unsigned long int addr);
void poke(unsigned long int addr, char ch);
void pokew(unsigned long int addr, short sh);
void pokei(unsigned long int addr, int in);
void pokel(unsigned long int addr, long lo);
void pokef(unsigned long int addr, float fl);
void poked(unsigned long int addr, double du);

#endif
