/*
 * LET BASIC = BASIC + 1
 * Copyright (C) 2006-2008 Rebecca G. Bettencourt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef ___B_F_H___
#define ___B_F_H___

#include "btype.h"

#define MAX_COMMANDS 1024
#define MAX_FUNCTIONS 2048

void bf_init();

int bf_AddCommands(int n, ...);
int bf_AddFunctions(int n, ...);

int bf_CommandCount();
int bf_FunctionCount();

const char * bf_CommandName(int n);
const char * bf_FunctionName(int n);

b_command * bf_FindCommand(char * n);
b_function * bf_FindFunction(char * n);

#endif
