/*
 * LET BASIC = BASIC + 1
 * Copyright (C) 2006-2008 Rebecca G. Bettencourt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

char peek(unsigned long int addr)
{
	return *((volatile char *)addr);
}

short peekw(unsigned long int addr)
{
	return *((volatile short *)addr);
}

int peeki(unsigned long int addr)
{
	return *((volatile int *)addr);
}

long peekl(unsigned long int addr)
{
	return *((volatile long *)addr);
}

float peekf(unsigned long int addr)
{
	return *((volatile float *)addr);
}

double peekd(unsigned long int addr)
{
	return *((volatile double *)addr);
}

void poke(unsigned long int addr, char ch)
{
	*((volatile char *)addr) = ch;
}

void pokew(unsigned long int addr, short sh)
{
	*((volatile short *)addr) = sh;
}

void pokei(unsigned long int addr, int in)
{
	*((volatile int *)addr) = in;
}

void pokel(unsigned long int addr, long lo)
{
	*((volatile long *)addr) = lo;
}

void pokef(unsigned long int addr, float fl)
{
	*((volatile float *)addr) = fl;
}

void poked(unsigned long int addr, double du)
{
	*((volatile double *)addr) = du;
}
