/*
 * LET BASIC = BASIC + 1
 * Copyright (C) 2006-2008 Rebecca G. Bettencourt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef ____STRING_X_H____
#define ____STRING_X_H____

#include <string.h>
#include <ctype.h>

#ifdef NEED_STRCASESTR
char * strcasestr(char * s1, char * s2);
#endif

char * ltrim(char * c);
char * rtrim(char * c);
char * trim(char * c);
char * left(char * c, int l);
char * mid(char * c, int k);
char * mid2(char * c, int k, int l);
char * right(char * c, int l);
char * substr(char * s, char * e);
char * substrim(char * s, char * e);
int instr(char * c, char * ch);
int rinstr(char * c, char * ch);
char * ucase(char * s);
char * lcase(char * s);
char * tcase(char * s);
char * chr(char ch);
char asc(char * c);
char * uchr(int ch);
int uni(char * c);
int charCount (char * s, char * e, char c1);
int charCount2(char * s, char * e, char c1, char c2);
int charCount3(char * s, char * e, char c1, char c2, char c3);
int charCount4(char * s, char * e, char c1, char c2, char c3, char c4);
int countFields(char * s, char * d);
char * nthField(char * s, char * d, int n);
char * replace(char * s, char * old, char * new);
char * replaceAll(char * s, char * old, char * new);

#endif
